Update ticket priority
curl --request PUT \
--url https://api.example.com/api/v2/workspaces/{workspaceId}/tickets/priority \
--header 'Content-Type: application/json' \
--data '
{
"autotaskRequeest": {
"id": 123
},
"serviceNowRequest": {
"id": "<string>"
},
"jiraRequest": {
"id": "<string>",
"priorityId": "<string>",
"priorityName": "<string>"
},
"resourceId": "<string>",
"resourceName": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/workspaces/{workspaceId}/tickets/priority"
payload = {
"autotaskRequeest": { "id": 123 },
"serviceNowRequest": { "id": "<string>" },
"jiraRequest": {
"id": "<string>",
"priorityId": "<string>",
"priorityName": "<string>"
},
"resourceId": "<string>",
"resourceName": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
autotaskRequeest: {id: 123},
serviceNowRequest: {id: '<string>'},
jiraRequest: {id: '<string>', priorityId: '<string>', priorityName: '<string>'},
resourceId: '<string>',
resourceName: '<string>'
})
};
fetch('https://api.example.com/api/v2/workspaces/{workspaceId}/tickets/priority', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": true,
"meta": {
"requestId": "<string>",
"timestamp": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}Service tickets
Update ticket priority
PUT
/
api
/
v2
/
workspaces
/
{workspaceId}
/
tickets
/
priority
Update ticket priority
Path Parameters
Body
application/json
This DTO is a wrapper for priority (urgency for Snow) update calls.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Gets or sets the unique identifier of the associated resource. Used to identify the target resource like Incident IDs.
Gets or sets the type of the resource represented by this instance.
Available options:
None, Incident, Account An optional human-readable name of the resource.
⌘I